#include "../../scripts/avf_custom.lua"


--[[

	use this file to config the parameters for your tank

	Feel free to rename this to the name of your tank



]]

vehicleParts = {
	chassis = {

	},
	turrets = {

	},
	guns = {
		["mainCannon"] = {	
			name="7.5 cm KwK.42 L/70 Cannon",
			RPM=6.5,
			sight					= {
										[1] = {
										x=1.9,
										y=1.5,
										z=-0.35,
											},
										},

			scope_offset 			= {
										[1] = {
											x = 0.0,
											y = -0.03
											},
									},
			zoomSight 				= "MOD/gfx/TZF12.png",
			fireControlComputer			= "MOD/gfx/scopeOutside_3.png",
			soundFile				= "MOD/sounds/Relic700KwK37",
			reloadSound				= "MOD/sounds/Relic700KwKReload",
			reloadPlayOnce			= true,
										-- aimForwards = true,
			zero_range 				= 100,
			barrels		= {
							[1] = {
								x = 0.9,
								y = 0.1,
								z = -3.8,
								}

							},
			
			magazines = {
						[1] = {name="PzGr 39/42 (APCBC)",
						caliber 				= 75,
						velocity				= 330,
						explosionSize			= 0.2,
						maxPenDepth = 1.9,
						payload					= "AP",
						magazineCount             = 20,
					},
						[2] = {name="Sprgr. 42 (HE)",
						caliber 				= 75,
						velocity				= 330,
						explosionSize			= 0.5,
						maxPenDepth 			= 0.2,
						r						= 0.3,
						g						= 0.6, 
						b						= 0.3, 
						payload = "HE",
						magazineCount             = 19, 
					},
						[3] = {name="PzGr 40/42 (AP)",
						caliber 				= 75,
						velocity				= 330,
						maxPenDepth 			= 2.2,
						r						= 0.3,
						g						= 0.6, 
						b						= 0.3, 
						payload = "AP",
						magazineCount             = 19, 
					},
				},
				coax = 	{
					name="MG34 Coax",
					sight					= {
												[1] = {
												x=2.12,
												y=1.7,
												z=-0.05,
													},
												},
					scope_offset 			= {
										[1] = {
											x = 0.0,
											y = -0.03
											},
									},	
					barrels		= {
									[1] = {
										x = 0.2,
										y = 0.3,
										z = -0.5,
										}
									},

					elevationSpeed			= .5,
					zoomSight 				= "MOD/gfx/TZF12.png",
					fireControlComputer			= "MOD/gfx/scopeOutside_3.png",
					canZoom					= true,

					-- 				},
					
					magazines = {
								[1] = {name="7.92×57mm Mauser",
								maxPenDepth 			= 0.079,
								r						= 0.3,
								g						= 3.6, 
								b						= 0.3, 
							},
						},
				},
			
		},
		["hull_mg"] = 	{
			name="MG34 Coax",
			sight					= {
										[1] = {
										x=2.12,
										y=1.7,
										z=-0.05,
											},
										},
			barrels		= {
							[1] = {
								x = 0.05,
								y = 0.15,
								z = -0.5,
								}
							},

			-- 				},
			
			magazines = {
						[1] = {name="7.92×57mm Mauser",
						maxPenDepth 			= 0.079,
						r						= 0.3,
						g						= 3.6, 
						b						= 0.3, 
					},
				},
			},
	},
}
	

	---- magazine num _ val
	---- barrels num value

vehicle = {

}