#include "../../scripts/avf_custom.lua"


--[[

	use this file to config the parameters for your tank

	Feel free to rename this to the name of your tank



]]

vehicleParts = {
	chassis = {

	},
	turrets = {

	},
	guns = {
		["mainCannon"] = {	
			name="2cm KwK30 Cannon",
			RPM=280.0,
			recoil 					= 0.01,
			smokeFactor 			= .3,
			smokeMulti				= 1,
			sight					= {
										[1] = {
										x=0.55,
										y=0.85,
										z=-0.45,
											},
										},

			scope_offset 			= {
										[1] = {
											x = 0.0,
											y = -0.04
											},
									},
			zoomSight 				= "MOD/gfx/TZF5.png",
			fireControlComputer			= "MOD/gfx/scopeOutside_3.png",
			soundFile				= "MOD/sounds/autoCannonSingle",
			reloadSound				= "MOD/sounds/Relic700KwKReload",
			reloadPlayOnce			= true,
										-- aimForwards = true,
			zero_range 				= 160,
			barrels		= {
							[1] = {
								x = 0.80,
								y = 0.15,
								z = -0.8,
								}

							},
			
			magazines = {
						[1] = {name="Sprgr. 39 (HE)",
						caliber 				= 20,
						velocity				= 310,
						explosionSize			= 0.2,
						maxPenDepth = 0.1,
						payload					= "HE",
						shellWidth				= 0.2,
						shellHeight				= 0.2,
						timeToLive 				= 10,
						magazineCapacity = 10,
						magazineCount             = 6,
					},
					[2] = {name="PzGr (AP)",
						caliber 				= 20,
						velocity				= 310,
						maxPenDepth 			= 0.37,
						r						= 0.3,
						g						= 0.6, 
						b						= 0.3, 
						payload = "AP",
						shellWidth				= 0.2,
						shellHeight				= 0.2,
						timeToLive 				= 10,
						magazineCapacity = 10,
						magazineCount             = 6,	
					},
					[3] = {name="PzGr (APCR)",
						caliber 				= 20,
						velocity				= 310,
						maxPenDepth 			= 0.48,
						r						= 0.3,
						g						= 0.6, 
						b						= 0.3, 
						payload = "AP",
						shellWidth				= 0.2,
						shellHeight				= 0.2,
						timeToLive 				= 10,
						magazineCapacity = 10,
						magazineCount             = 6,	
					},
				},
				coax = 	{
					name="MG34 Coax",
					sight					= {
												[1] = {
												x=0.55,
												y=0.85,
												z=-0.45,
													},
												},
					barrels		= {
									[1] = {
										x = 0.05,
										y = 0.9,
										z = 0.0,
										}
									},
					scope_offset 			= {
										[1] = {
											x = 0.0,
											y = -0.04
											},
									},

					elevationSpeed			= .5,
					zoomSight 				= "MOD/gfx/TZF5.png",
					fireControlComputer			= "MOD/gfx/scopeOutside_3.png",
					canZoom					= true,

					-- 				},
					
					magazines = {
								[1] = {name="7.92×57mm Mauser",
								maxPenDepth 			= 0.079,
								RPM 					= 1800,
								r						= 0.3,
								g						= 3.6, 
								b						= 0.3, 
							},
						},
				},
			
		},
		["hull_mg"] = 	{
			name="MG34 Coax",
			sight					= {
										[1] = {
										x=1.5,
										y=1.45,
										z=-0.35,
											},
										},
			scope_offset 			= {
										[1] = {
											x = 0.0,
											y = -0.04
											},
									},
			barrels		= {
							[1] = {
								x = 0.05,
								y = 0.15,
								z = -0.5,
								}
							},

			-- 				},
			
			magazines = {
						[1] = {name="7.92×57mm Mauser",
						maxPenDepth 			= 0.079,
						r						= 0.3,
						g						= 3.6, 
						b						= 0.3, 
					},
				},
			},
	},
}
	

	---- magazine num _ val
	---- barrels num value

vehicle = {

}