#include "../../scripts/avf_custom.lua"


--[[

	use this file to config the parameters for your tank

	Feel free to rename this to the name of your tank



]]

vehicleParts = {
	chassis = {

	},
	turrets = {

	},
	guns = {
		["mainCannon"] = {	
			name="7.5cm KwK37 Cannon",
			RPM=14.0,
			sight					= {
										[1] = {
										x=1.5,
										y=1.45,
										z=-0.35,
											},
										},

			scope_offset 			= {
										[1] = {
											x = 0.0,
											y = -0.04
											},
									},
			zoomSight 				= "MOD/gfx/TZF5.png",
			fireControlComputer			= "MOD/gfx/scopeOutside_3.png",
			soundFile				= "MOD/sounds/Relic700KwK37",
			reloadSound				= "MOD/sounds/Relic700KwKReload",
			reloadPlayOnce			= true,
										-- aimForwards = true,
			zero_range 				= 100,
			barrels		= {
							[1] = {
								x = 0.50,
								y = 0.15,
								z = -0.8,
								}

							},
			
			magazines = {
						[1] = {name="K.Gr.rot Pz. (APCBC)",
						caliber 				= 75,
						velocity				= 180,
						explosionSize			= 0.2,
						maxPenDepth = 0.52,
						payload					= "AP",
						magazineCount             = 27,
					},
						[2] = {name="Sprgr. 34 (HE)",
						caliber 				= 75,
						velocity				= 180,
						explosionSize			= 0.68,
						maxPenDepth 			= 0.2,
						r						= 0.3,
						g						= 0.6, 
						b						= 0.3, 
						payload = "HE",
						magazineCount             = 27, 
					},
						[3] = {name="Hl.Gr 38C (HEAT)",
						caliber 				= 75,
						velocity				= 300,
						explosionSize			= 0.4,
						maxPenDepth 			= 1.0,
						r						= 0.3,
						g						= 0.6, 
						b						= 0.3, 
						payload = "HEAT",
						magazineCount             = 26, 
					},
				},
				coax = 	{
					name="MG34 Coax",
					sight					= {
												[1] = {
												x=1.5,
												y=1.45,
												z=-0.35,
													},
												},
					barrels		= {
									[1] = {
										x = 0.15,
										y = 0.25,
										z = 0.0,
										}
									},
					scope_offset 			= {
										[1] = {
											x = 0.0,
											y = -0.04
											},
									},

					elevationSpeed			= .5,
					zoomSight 				= "MOD/gfx/TZF5.png",
					fireControlComputer			= "MOD/gfx/scopeOutside_3.png",
					canZoom					= true,

					-- 				},
					
					magazines = {
								[1] = {name="7.92×57mm Mauser",
								maxPenDepth 			= 0.079,
								r						= 0.3,
								g						= 3.6, 
								b						= 0.3, 
							},
						},
				},
			
		},
		["hull_mg"] = 	{
			name="MG34 Coax",
			sight					= {
										[1] = {
										x=1.5,
										y=1.45,
										z=-0.35,
											},
										},
			scope_offset 			= {
										[1] = {
											x = 0.0,
											y = -0.04
											},
									},
			barrels		= {
							[1] = {
								x = 0.05,
								y = 0.15,
								z = -0.5,
								}
							},

			-- 				},
			
			magazines = {
						[1] = {name="7.92×57mm Mauser",
						maxPenDepth 			= 0.079,
						r						= 0.3,
						g						= 3.6, 
						b						= 0.3, 
					},
				},
			},
	},
}
	

	---- magazine num _ val
	---- barrels num value

vehicle = {

}