#include "../../scripts/avf_custom.lua"


--[[

	use this file to config the parameters for your tank

	Feel free to rename this to the name of your tank



]]

vehicleParts = {
	chassis = {

	},
	turrets = {

	},
	guns = {
		["mainCannon"] = {	
			name="75mm M3 cannon",
			RPM=9.0,
			sight					= {
										[1] = {
										x=0.6,
										y=1.45,
										z=-0.35,
											},
										},

			scope_offset 			= {
										[1] = {
											x = 0.03,
											y = -0.04
											},
									},
			zoomSight 				= "MOD/gfx/Sherman_sights.png",
			fireControlComputer			= "MOD/gfx/scopeOutside_3.png",
			soundFile				= "MOD/sounds/Relic700KwK37",
			reloadSound				= "MOD/sounds/Relic700KwKReload",
			reloadPlayOnce			= true,
										-- aimForwards = true,
			zero_range 				= 100,
			barrels		= {
							[1] = {
								x = 0.4,
								y = 0.1,
								z = -1.9,
								}

							},
			
			magazines = {
						[1] = {name="M61 shot (APCBC)",
						caliber 				= 75,
						velocity				= 200,
						explosionSize			= 0.5,
						maxPenDepth = 1.0,
						payload					= "AP",
						magazineCount             = 24,
					},
						[2] = {name="M48 Shell (HE)",
						caliber 				= 75,
						velocity				= 200,
						explosionSize			= 0.6,
						maxPenDepth 			= 0.2,
						r						= 0.3,
						g						= 0.3, 
						b						= 0.3, 
						payload = "HE",
						magazineCount             = 24, 
					},
						[3] = {name="72 shot (AP)",
						caliber 				= 75,
						velocity				= 200,
						maxPenDepth 			= 0.9,
						r						= 0.3,
						g						= 0.3, 
						b						= 0.3, 
						payload = "AP",
						magazineCount             = 23, 
					},
					[4] = {name="T45 shot (APCR)",
						caliber 				= 75,
						velocity				= 200,
						maxPenDepth 			= 1.4,
						r						= 0.3,
						g						= 0.3, 
						b						= 0.3, 
						payload = "AP",
						magazineCount             = 23, 
					},
				},
				coax = 	{
					name="7.62mm M1919A4",
					caliber 				= 7.62,
					sight					= {
												[1] = {
												x=0.6,
												y=1.4,
												z=-0.35,
													},
												},
					scope_offset 			= {
										[1] = {
											x = 0.03,
											y = -0.04
											},
									},	
					barrels		= {
										[1] = {
											x = 0.85,
											y = 0.15,
											z = -0.9,
											}
										},

					elevationSpeed			= .5,
					zoomSight 				= "MOD/gfx/Sherman_sights.png",
					fireControlComputer			= "MOD/gfx/scopeOutside_3.png",
					canZoom					= true,

					-- 				},
					
					magazines = {
								[1] = {name="7.62mm",
								RPM = 450,
								maxPenDepth = 0.007,
								r						= 1.9,
								g						= 0.3, 
								b						= 0.3, 
							},
						},
				},
			
		},
		["hull_mg"] = 	{
			caliber 				= 7.62,
			name="7.62mm M1919A4",
			sight					= {
										[1] = {
										x=0.5,
										y=1.3,
										z=-0.05,
											},
										},
			barrels		= {
							[1] = {
								x = 0.05,
								y = 0.15,
								z = -0.5,
								}
							},

			-- 				},
			
			magazines = {
						[1] = {name="7.62mm",
						RPM = 450,
						maxPenDepth = 0.007,
						r						= 1.9,
						g						= 0.3, 
						b						= 0.3, 
					},
				},
			},
	},
}
	

	---- magazine num _ val
	---- barrels num value

vehicle = {

}