#include "../../scripts/avf_custom.lua"


--[[

	use this file to config the parameters for your tank

	Feel free to rename this to the name of your tank



]]

vehicleParts = {
	chassis = {

	},
	turrets = {

	},
	guns = {
		["mainCannon"] = {	
			name="12.8 cm KwK44 Cannon",
			caliber 				= 128,
			elevationSpeed			= 0.3,
			RPM=3.3,
			sight					= {
										[1] = {
										x=2.1,
										y=2.0,
										z=0.60,
											},
										},
			scope_offset 			= {
										[1] = {
											x = 0.0,
											y = -0.0
											},
									},
			zoomSight 				= "MOD/gfx/tzf9b.png",
			canZoom					= false,
			soundFile				= "MOD/sounds/Relic700KwK37",
			reloadSound				= "MOD/sounds/Relic700KwKReload",
			reloadPlayOnce			= true,
										-- aimForwards = true,
			zero_range 				= 220,
			highVelocityShells		= true,
			elevationSpeed			= 0.3,
			barrels		= {
							[1] = {
								x = 0.33,
								y = 0.35,
								z = -3.8,
								}

							},
			
			magazines = {
						[1] = {name="PzGr 43 (APCBC)",
						caliber 				= 128,
						velocity				= 380,
						explosionSize			= 0.5,
						maxPenDepth = 2.72,
						payload					= "AP",
						magazineCount             = 34,
					},
						[2] = {name="Sprgr.L/5 (HE)",
						caliber 				= 128,
						velocity				= 380,
						explosionSize			= 0.5,
						maxPenDepth 			= 0.2,
						r						= 0.3,
						g						= 0.6, 
						b						= 0.3, 
						payload = "HE",
						magazineCount             = 34,
					},
				},
				coax = 	{
					name="7.5 cm KwK44",
					caliber 				= 75,
					elevationSpeed			= 0.3,
					weaponType 				= "cannon",
					RPM=14.0,
					sight					= {
												[1] = {
												x=2.1,
												y=2.0,
												z=0.60,
													},
												},
					scope_offset 			= {
										[1] = {
											x = 0.04,
											y = -0.04
											},
									},
					zoomSight 				= "MOD/gfx/tzf9b.png",
					canZoom					= false,
					soundFile				= "MOD/sounds/Relic700KwK37",
					reloadSound				= "MOD/sounds/Relic700KwKReload",
					reloadPlayOnce			= true,
												-- aimForwards = true,
					zero_range 				= 200,
					barrels		= {
										[1] = {
											x = 0.45,
											y = 0.15,
											z = 0.40,
											}
										},

					elevationSpeed			= .5,

					-- 				},
					
					magazines = {
						[1] = 
						{
							name="Hl.Gr 38C (HEAT)",
							velocity				= 240,
							explosionSize			= 0.3,
							maxPenDepth 			= 1.0,
							r						= 0.3,
							g						= 0.6, 
							b						= 0.3,
							magazineCapacity = 1,
							payload = "APHE",
						},
						[2] = 
						{
							name="Sprgr. 34 (HE)",
							caliber 				= 75,
							velocity				= 240,
							explosionSize			= 0.3,
							maxPenDepth 			= 0.1,
							r						= 0.3,
							g						= 0.3, 
							b						= 0.3, 
							payload = "HE",
							magazineCapacity = 1,
							magazineCount             = 50, 
							},
						},
				},
			
		},
		["hull_mg"] = 	{
			name="MG34 Coax",
			sight					= {
										[1] = {
										x=2.1,
										y=2.0,
										z=0.60,
											},
										},
			barrels		= {
							[1] = {
								x = 0.05,
								y = 0.15,
								z = -0.5,
								}
							},
			elevationSpeed			= 1.5,
			-- 				},
			
			magazines = {
						[1] = {name="7.92×57mm Mauser",
						maxPenDepth = 0.079,
						r						= 0.3,
						g						= 3.6, 
						b						= 0.3, 
							},
				},
			},
	},
}
	

	---- magazine num _ val
	---- barrels num value

vehicle = {

}

