#include "../../scripts/avf_custom.lua"


--[[

	use this file to config the parameters for your tank

	Feel free to rename this to the name of your tank



]]

vehicleParts = {
	chassis = {

	},
	turrets = {

	},
	guns = {
		["mainCannon"] = {	
			name="37 mm KwK38(t) cannon",
			RPM=14.0,
			sight					= {
										[1] = {
										x=1.0,
										y=1.05,
										z=-0.15,
											},
										},

			scope_offset 			= {
										[1] = {
											x = 0.0,
											y = -0.03
											},
									},
			zoomSight 				= "MOD/gfx/TZF5.png",
			fireControlComputer			= "MOD/gfx/scopeOutside_3.png",
			soundFile				= "MOD/sounds/Relic700KwK37",
			reloadSound				= "MOD/sounds/Relic700KwKReload",
			reloadPlayOnce			= true,
										-- aimForwards = true,
			zero_range 				= 100,
			barrels		= {
							[1] = {
								x = 0.25,
								y = 0.25,
								z = -0.5,
								}

							},
			
			magazines = {
						[1] = {name="PzGr. 34(t) (APC)",
						caliber 				= 37,
						velocity				= 310,
						explosionSize			= 0.2,
						maxPenDepth = 0.62,
						payload					= "APHE",
						magazineCount             = 45,
					},
						[2] = {name="PzGr. 40 (APCR)",
						caliber 				= 37,
						velocity				= 310,
						maxPenDepth 			= 0.86,
						r						= 0.3,
						g						= 0.6, 
						b						= 0.3, 
						payload = "AP",
						magazineCount             = 45,	
					},
				},
				coax = 	{
					name="MG37 Coax",
					sight					= {
												[1] = {
												x=1.0,
												y=1.05,
												z=-0.15,
													},
												},
					barrels		= {
									[1] = {
										x = 0.0,
										y = 0.10,
										z = 0.0,
										}
									},
					scope_offset 			= {
										[1] = {
											x = 0.0,
											y = -0.03
											},
									},

					elevationSpeed			= .5,
					zoomSight 				= "MOD/gfx/TZF5.png",
					fireControlComputer			= "MOD/gfx/scopeOutside_3.png",
					canZoom					= true,

					-- 				},
					
					magazines = {
								[1] = {name="7.92×57mm Mauser",
								maxPenDepth 			= 0.079,
								RPM 					= 800,
								r						= 0.3,
								g						= 3.6, 
								b						= 0.3, 
							},
						},
				},
			
		},
		["hull_mg"] = 	{
			name="MG37 Coax",
			sight					= {
										[1] = {
										x=1.5,
										y=1.45,
										z=-0.35,
											},
										},
			scope_offset 			= {
										[1] = {
											x = 0.0,
											y = -0.04
											},
									},
			barrels		= {
							[1] = {
								x = 0.15,
								y = 0.05,
								z = -0.5,
								}
							},

			-- 				},
			
			magazines = {
						[1] = {name="7.92×57mm Mauser",
						maxPenDepth 			= 0.079,
						RPM 					= 800,
						r						= 0.3,
						g						= 3.6, 
						b						= 0.3, 
					},
				},
			},
	},
}
	

	---- magazine num _ val
	---- barrels num value

vehicle = {

}