#include "../../scripts/avf_custom.lua"


--[[

	use this file to config the parameters for your tank

	Feel free to rename this to the name of your tank



]]

vehicleParts = {
	chassis = {

	},
	turrets = {

	},
	guns = {
		["mainCannon"] = {	
			name="8.8 cm KwK43 Cannon",
			RPM=6.5,
			sight					= {
										[1] = {
										x=1.75,
										y=1.45,
										z=-0.65,
											},
										},
			scope_offset 			= {
										[1] = {
											x = 0.02,
											y = -0.05
											},
									},
			zoomSight 				= "MOD/gfx/tzf9b.png",
			fireControlComputer			= "MOD/gfx/scopeOutside_3.png",
			soundFile				= "MOD/sounds/Relic700KwK37",
			reloadSound				= "MOD/sounds/Relic700KwKReload",
			reloadPlayOnce			= true,
										-- aimForwards = true,
			zero_range 				= 100,
			highVelocityShells		= true,
			elevationSpeed			= 0.3,
			barrels		= {
							[1] = {
								x = 0.33,
								y = 0.35,
								z = -3.8,
								}

							},
			
			magazines = {
						[1] = {name="PzGr 39/43 (APCBC)",
						caliber 				= 88,
						velocity				= 380,
						explosionSize			= 0.5,
						maxPenDepth = 2.37,
						payload					= "AP",
						magazineCount             = 20,
					},
						[2] = {name="Sprgr.43 (HE)",
						caliber 				= 88,
						velocity				= 380,
						explosionSize			= 0.5,
						maxPenDepth 			= 0.2,
						r						= 0.3,
						g						= 0.6, 
						b						= 0.3, 
						payload = "HE",
						magazineCount             = 20,
					},
						[3] = {name="PzGr 40/43 (APCR)",
						caliber 				= 88,
						velocity				= 380,
						maxPenDepth 			= 2.8,
						r						= 0.3,
						g						= 0.6, 
						b						= 0.3, 
						payload = "AP",
						magazineCount             = 15,  
					},
						[4] = {name="HL.Gr 39 (HEAT)",
						caliber 				= 88,
						velocity				= 380,
						explosionSize			= 0.4,
						maxPenDepth 			= 1.1,
						r						= 0.3,
						g						= 0.6, 
						b						= 0.3, 
						payload = "HEAT",
						magazineCount             = 15, 
					},
				},
				coax = 	{
					name="MG34 Coax",
					elevationSpeed			= 0.3,
					sight					= {
												[1] = {
												x=1.75,
												y=1.45,
												z=-0.65,
													},
												},
					scope_offset 			= {
										[1] = {
											x = 0.01,
											y = -0.05
											},
									},
					barrels		= {
									[1] = {
										x = 0.05,
										y = 0.35,
										z = 0.6,
										}
									},

					elevationSpeed			= .5,
					zoomSight 				= "MOD/gfx/tzf9b.png",
					fireControlComputer			= "MOD/gfx/scopeOutside_3.png",
					canZoom					= true,
					-- 				},
					
					magazines = {
								[1] = {name="7.92×57mm Mauser",
								maxPenDepth = 0.079,
								r						= 0.3,
								g						= 3.6, 
								b						= 0.3, 
							},
						},
				},
			
		},
		["hull_mg"] = 	{
			name="MG34 Coax",
			sight					= {
										[1] = {
										x=2.12,
										y=1.7,
										z=-0.05,
											},
										},
			barrels		= {
							[1] = {
								x = -0.05,
								y = 0.15,
								z = -0.5,
								}
							},

			-- 				},
			
			magazines = {
						[1] = {name="7.92×57mm Mauser",
						maxPenDepth = 0.079,
						r						= 0.3,
						g						= 3.6, 
						b						= 0.3, 
							},
				},
			},
	},
}
	

	---- magazine num _ val
	---- barrels num value

vehicle = {

}

